/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-24-2011 10:26:42pm
Filepath: scripts\Items\Artifacts\Artifacts of Assimilation\lesser\magiciansedge.cs
Lines of code: 41

Description: 

***********************************************************/




using Server;
using System;

namespace Server.Items
{
	
	public class magiciansedge : WarCleaver
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get { return 255; } }

		[Constructable]
		public magiciansedge() : base()
		{
			Name="Magician's Edge";
			Hue=2209;


			Attributes.CastSpeed=1;
			Attributes.DefendChance=10;
			Attributes.WeaponSpeed=60;
			Attributes.SpellChanneling=1;
		
			WeaponAttributes.MageWeapon=30;	
		}
		
		

		

		public magiciansedge( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 2 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();

			if ( version <= 1 )
			{
				MaxHitPoints = 255;
				HitPoints = 255;
			}

			if( version == 0 )
				SkillBonuses.SetValues( 0, SkillName.AnimalLore, 5.0 );
		}
			
		
	}
	
}